Name: 		ldapvi
Version: 	1.7
Release: 	%mkrel 29
Summary: 	Performs an LDAP search and update results using a text editor
License: 	GPLv2+
Group: 		System/Configuration
URL:		http://www.lichteblau.com/ldapvi.html
Source0: 	http://www.lichteblau.com/download/%{name}-%{version}.tar.gz
Patch0:		ldapvi-makefile.in-destdir.patch
# (misc) patch to fix the naming conflict between function "getline" of stdio.h
# and private function getline in common.h, by renaming it
# comes from upstream : 256ced029c235687bfafdffd07be7d47bf7af39b
Patch1:     	ldapvi-fix_naming_conflict.diff
# Patch to fix incorrect vim modeline. Downloaded from redhat bugzilla :
# https://bugzilla.redhat.com/show_bug.cgi?id=691958
Patch2:		fix-vim-modeline.patch
# fix warning about undeclared RAND_bytes()
Patch3:		ldapvi-1.7-rand_bytes.patch
# Reported upstream
# http://lists.askja.de/pipermail/ldapvi/2013-September/000116.html
Patch4:		ldapvi-1.7-incorrect-FSF-address.patch
# http://lists.askja.de/pipermail/ldapvi/2017-December/000120.html
Patch5:		0001-Don-t-switch-off-canonical-mode.patch
Patch6:		ldapvi-c99-1.patch
Patch7:		ldapvi-c99-2.patch
Patch8:		ldapvi-c99-3.patch
Patch9:		ldapvi-c99-4.patch
Patch10:	ldapvi-c99-5.patch

BuildRequires:	openldap-devel >= 2.2.0
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	pkgconfig(popt)
BuildRequires:	pkgconfig(readline)
BuildRequires:	libxslt-proc

%description
ldapvi allows a user to perform an LDAP search and update results using
a text editor.

%prep
%setup -q
%patch -P 0 -p1 -b .orig
%patch -P 1 -p2 -b .conflict
%patch -P 2 -p2
%patch -P 3 -p1 -b .rand_bytes
%patch -P 4 -p1 -b .FSFaddress
%patch -P 5 -p1 -b .nopassword
%patch -P 6 -p1
%patch -P 7 -p1
%patch -P 8 -p1
%patch -P 10 -p1

%build
%set_build_flags
# Declare additional historic OpenLDAP functions in header files.
CFLAGS="$CFLAGS -DLDAP_DEPRECATED"
%configure
%make_build

%install
%make_install

xsltproc \
    %{buildroot}/%{_docdir}/%{name}/html.xsl \
    %{buildroot}/%{_docdir}/%{name}/manual.xml \
    > %{buildroot}/%{_docdir}/%{name}/manual.html

rm -f %{buildroot}/%{_docdir}/%{name}/html.xsl
rm -f %{buildroot}/%{_docdir}/%{name}/manual.xml

%files
%doc NEWS
%{_docdir}/%{name}/bg.png
%{_docdir}/%{name}/manual.*
%{_bindir}/%{name}
%{_mandir}/man?/*


%changelog
* Tue Apr 02 2024 daviddavid <daviddavid> 1.7-29.mga10
+ Revision: 2053825
- add some C99 port from fedora
- use new patch macro

* Tue Jan 03 2023 umeabot <umeabot> 1.7-28.mga9
+ Revision: 1929542
- Rebuild to use libldap-2.5 instead of 2.4

* Wed Mar 30 2022 umeabot <umeabot> 1.7-27.mga9
+ Revision: 1833636
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 1.7-26.mga9
+ Revision: 1747839
- rebuild for openssl 3.0.0

* Tue Feb 18 2020 umeabot <umeabot> 1.7-25.mga8
+ Revision: 1542181
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 1.7-24.mga8
+ Revision: 1475976
- rebuild for readline

* Sun Sep 23 2018 umeabot <umeabot> 1.7-23.mga7
+ Revision: 1298724
- Mageia 7 Mass Rebuild

* Tue Jan 02 2018 wally <wally> 1.7-22.mga7
+ Revision: 1189447
- rebuild for new readline

* Sat Sep 09 2017 cjw <cjw> 1.7-21.mga7
+ Revision: 1152104
- rebuild with openssl 1.1
- patch3: fix warning about undeclared RAND_bytes()

* Thu Feb 11 2016 umeabot <umeabot> 1.7-20.mga6
+ Revision: 954707
- Mageia 6 Mass Rebuild

* Mon Oct 19 2015 daviddavid <daviddavid> 1.7-19.mga6
+ Revision: 892676
- add more docs to fix build with latest rpm

* Wed Oct 15 2014 umeabot <umeabot> 1.7-18.mga5
+ Revision: 746601
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7-17.mga5
+ Revision: 681287
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.7-16.mga4
+ Revision: 521631
- Mageia 4 Mass Rebuild

* Wed Jan 23 2013 fwang <fwang> 1.7-15.mga3
+ Revision: 391468
- update rpm group

* Sat Jan 12 2013 umeabot <umeabot> 1.7-14.mga3
+ Revision: 356723
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 10 2011 boklm <boklm> 1.7-13.mga2
+ Revision: 153677
- Add patch to fix incorrect vim modeline. https://bugzilla.redhat.com/show_bug.cgi?id=691958

* Tue Feb 22 2011 dmorgan <dmorgan> 1.7-12.mga1
+ Revision: 56965
- imported package ldapvi


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 1.7-12mdv2011.0
+ Revision: 612716
- the mass rebuild of 2010.1 packages

* Thu Apr 08 2010 Michael Scherer <misc@mandriva.org> 1.7-11mdv2010.1
+ Revision: 532993
- rebuild for new openssl
- fix License
- add fix from upstream, to fix rebuilding due to conflict in function naming

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Wed Feb 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-9mdv2009.1
+ Revision: 344743
- rebuild against new readline

* Wed Feb 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-8mdv2009.1
+ Revision: 337588
- keep bash completion in its own package
- slight completion enhancements

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.7-6mdv2009.0
+ Revision: 248334
- rebuild

* Mon Feb 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-4mdv2008.1
+ Revision: 165120
- rebuild against ldap 2.4

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Dec 08 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-3mdv2008.1
+ Revision: 116490
- bash completion

* Fri Aug 31 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.7-2mdv2008.0
+ Revision: 77091
- build html manual

* Mon Jun 04 2007 Buchan Milne <bgmilne@mandriva.org> 1.7-1mdv2008.0
+ Revision: 35152
- New version 1.7


* Sun Jan 28 2007 Buchan Milne <bgmilne@mandriva.org> 1.6-2mdv2007.0
+ Revision: 114578
- Buildrequire readline-devel
- new version 1.6
  update makefile patch
- Import ldapvi

* Mon Dec 12 2005 Buchan Milne <bgmilne@mandriva.org> 1.5-1mdk
- New release 1.5

* Fri Dec 09 2005 Buchan Milne <bgmilne@mandriva.org> 1.4-1mdk
- New release 1.4

* Wed Aug 31 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-3mdk
- Rebuild for libldap2.3

* Mon Feb 07 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-2mdk
- rebuild for ldap2.2_7

* Mon Feb 02 2004 Buchan Milne <bgmilne@linux-mandrake.com> 1.1-1mdk
- Initial package

